package Device

import (
	_ "github.com/astaxie/beego/cache/redis"
	_ "github.com/go-sql-driver/mysql"
	"time"
)

// 模板
type DeviceSensor struct {
	T_sn   string `orm:"pk;size(256);null"` // 设备序列号 KF开头，环境监测主机。 YD开头，温途监测主机
	T_id   int    `orm:"pk;size(11);null"`  // 传感器编号
	T_name string `orm:"size(256);null"`    // 标题

	T_pid      int    `orm:"index;size(256);null"` // Account.Company 绑定公司
	T_Calss    string `orm:"size(256);null"`       // Device.DeviceClass.Id 设备分类  C1|C2|
	T_Notice   string `orm:"size(256);null"`       // Device.DeviceNotice.Id 设备通知策略  N1|N2|
	T_datashow int    `orm:"index;size(2);1"`      // 0 屏蔽数据展示  1 正常数据展示
	T_sort     int    `orm:"index;size(200);1"`    // 排序
	T_3dview   string `orm:"size(256);null"`       // 3D 视图ID

	// 设备同步参数
	T_Dattery  int    `orm:"size(4);null"`       // 电量
	T_Site     string `orm:"size(200);null"`     // GPS
	T_type     int    `orm:"index;size(4);null"` // Device.DeviceType  1库房   2移动
	T_give     int    `orm:"index;size(2);1"`    // 屏蔽状态 0 屏蔽  1 正常
	T_monitor  int    `orm:"index;size(2);null"` // 监控状态 0 未监控 1 监控
	T_online   int    `orm:"index;size(2);1"`    // 在线状态 0 未启用  1 在线  2 离线
	T_online_s int    `orm:"index;size(2);0"`    // 在线状态-备用  0 未启用  1 在线  2 离线

	CreateTime time.Time `orm:"column(create_time);type(timestamp);null;auto_now_add"` //auto_now_add 第一次保存时才设置时间
	UpdateTime time.Time `orm:"column(update_time);type(timestamp);null;auto_now"`     //auto_now 每次 model 保存时都会对时间自动更新
}
